#include "cmlib_private_config.hpp"
#include "fsh.hpp"

#include <QCoreApplication>
#include <QDebug>
#include <QFile>


// function args by ref
int qStringToInt( const QString &s )
{
	return( s.toInt() );
}


int main( int argc, char** argv )
{
	QCoreApplication app( argc, argv );

	// qt-keywords
	QList< int > il;
	il << 111 << 222;
	Q_FOREACH( int i, il )
	{
		qDebug() << i;
	}

	QStringList sl;
	// string allocations
	sl << QStringLiteral("111") << QStringLiteral("222");
	// loop add ref
	for ( const auto& s: qAsConst(sl) )
	{
		qDebug() << s;
	}

	// loop qasconst
	for ( auto s: qAsConst(sl) )
	{
		s.append( "0" );
	}

	// function args by ref
	QString s { QStringLiteral("100") };
	auto ir = qStringToInt( s );

	// old style connect
	QFile f;
	FileSignalHandler fsh;
	QObject::connect( &f, &QIODevice::aboutToClose, &fsh, &FileSignalHandler::process );

	return( 0 );
} // main

